Bug 1260566 - [GSS](6.4.z) Inconsistent format for IPv6 addresses in server log
[GSS](6.4.z) Inconsistent format for IPv6 addresses in server log
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.4.3
Unspecified Unspecified
medium Severity medium
: CR1
: EAP 6.4.7
Assigned To: Chao Wang
Radim Hatlapatka
:
Depends On:
Blocks: eap647-payload 1308845
  Show dependency treegraph
 
Reported: 2015-09-07 05:22 EDT by Chao Wang
Modified: 2017-01-17 06:54 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:54:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-5242 Minor Resolved Inconsistent format for IPv6 addresses in server log 2017-05-10 22:20 EDT
Red Hat Knowledge Base (Solution) 1593613 None None None 2016-03-06 19:26 EST

  None (edit)
Description Chao Wang 2015-09-07 05:22:19 EDT
Description of problem:
When https and IPv6 are used simultaneously, square brackets for IPv6 addresses are missed in some of log entries.


How reproducible:
Always


Steps to Reproduce:
1. Config SSL (example: https://access.redhat.com/solutions/229963)
2. Config IPv6 (example: https://docs.jboss.org/author/display/AS72/Interfaces+and+ports)
3. Start EAP and check the log


Actual results:
----------------------------------------
12:05:55,396 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-3) JBWEB003001: Coyote HTTP/1.1 initializing on : http-/0:0:0:0:0:0:0:1:8080
12:05:55,442 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-3) JBWEB003000: Coyote HTTP/1.1 starting on: http-/0:0:0:0:0:0:0:1:8080
......
12:05:55,621 INFO  [org.jboss.as.remoting] (MSC service thread 1-6) JBAS017100: Listening on [::1]:4447
12:05:55,624 INFO  [org.jboss.as.remoting] (MSC service thread 1-8) JBAS017100: Listening on [::1]:9999
......
12:05:56,328 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015962: Http management interface listening on https://::1:9443/management
12:05:56,330 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015952: Admin console listening on https://::1:9443
----------------------------------------

Expected results:
The format used for IPv6 addresses should be consistent and enclosed in square brackets


Additional info:
Similar bug was opened / fixed :  https://bugzilla.redhat.com/show_bug.cgi?id=900564
But it appears we still got some problem when https is enabled

================================================================================

This one is for JBWEB log messages
Comment 7 Michael Cada 2016-03-07 12:50:54 EST
Verified on EAP 6.4.7.CP.CR2

Inconsistent IPv6 format - missing square brackets in logs of management interface and admin console, tracked here: https://bugzilla.redhat.com/show_bug.cgi?id=1258298
Comment 8 Lyle Wang 2016-03-22 21:02:27 EDT
>> IPv6 address format is now correct in CoyoteLogger in jbossweb.
>>Square brackets are still missing in management interface and admin console log as mentioned in description.

Are we still planning to fix the "Square brackets"  ?
Comment 10 Petr Penicka 2017-01-17 06:54:00 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.